using BankContracts.BindingModels;
using BankContracts.SearchModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface ICreditProgramStorage
    {
        List<CreditProgramViewModel> GetFullList();
        List<CreditProgramViewModel> GetFilteredList(CreditProgramSearchModel model);
        CreditProgramViewModel? GetElement(CreditProgramSearchModel model);
        CreditProgramViewModel? Insert(CreditProgramBindingModel model);
        CreditProgramViewModel? Update(CreditProgramBindingModel model);
        CreditProgramViewModel? Delete(CreditProgramBindingModel model);
    }
}
